using CFX;
using CFX.Production;
using CFX.Structures;
using Sln.Iot.CFX.CFXBusiness;
using Sln.Iot.Serilog;

namespace Sln.Iot.CFX.Event
{
    /// <summary>
    /// 工单启动事件
    /// 带扫码枪的设备Units栏位中的UnitIdentifier必须填写
    /// </summary>
    public class WorkStartedEvent
    {
        private CFXEventTools cFXEventTools = CFXEventTools.Instance;

        /// <summary>
        /// 数据封装处理
        /// </summary>
        /// <returns></returns>
        public CFXMessage Handle(Guid transactionID, string pirmaryIdentifier, string[] unitIdentifier)
        {
            CFXMessage eve = null;
            try
            {
                eve = new WorkStarted()
                {
                    TransactionID = transactionID,
                    PrimaryIdentifier = pirmaryIdentifier,
                    Lane = 1,
                    Units = cFXEventTools.UnitPositionTrans(unitIdentifier)
                };
            }
            catch (Exception e)
            {
                SerilogHelper.Instance.Error("终端节点连接事件数据封装异常", e);
            }
            return eve;
        }
    }
}
